#include <iostream>
#include <string>
using namespace std;
int main()
{
	char c1, c2;
	cout << "Unesite Perino omiljeno slovo:\n";
	cin >> c1;
	cout << "Unesite Petrino omiljeno slovo:\n";
	cin >> c2;
	long long a1, a2;
	cout << "Unesite a1 i a2:\n";
	cin >> a1 >> a2;
	string rec;
	bool moze = false;
	if (a1 == a2 || a1 == a2 + 1 || a1 + 1 == a2)
	{
		for (long long i = 0; i < a1 + a2; i++)
		{
			if (moze == false)
			{
				rec = rec + c1;
				moze = true;
			}
			else
			{
				rec = rec + c2;
				moze = false;
			}
		}
		cout << "Rec je:" << rec << endl;
	}
	else
	{
		cout << "nemoguce" << endl;
	}
}